GetFunctionSecretEncryptionKey
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.GetFunctionSecretEncryptionKey(ctx, operations.C1APIFunctionsV1FunctionsServiceGetFunctionSecretEncryptionKeyRequest{
FunctionID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceGetFunctionSecretEncryptionKeyResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/secret-encryption-key \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/secret-encryption-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/functions/{function_id}/secret-encryption-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicKey": "aSDinaTvuI8gbWludGxpZnk="
}Function
Get Function Secret Encryption Key
GetFunctionSecretEncryptionKey retrieves or generates the public key for encrypting function secrets
GET
/
api
/
v1
/
functions
/
{function_id}
/
secret-encryption-key
GetFunctionSecretEncryptionKey
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.GetFunctionSecretEncryptionKey(ctx, operations.C1APIFunctionsV1FunctionsServiceGetFunctionSecretEncryptionKeyRequest{
FunctionID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceGetFunctionSecretEncryptionKeyResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The functionId field.
Response
200 - application/json
Successful response
The FunctionsServiceGetFunctionSecretEncryptionKeyResponse message.
The publicKey field.
Was this page helpful?
⌘I